### Method

# Fwupd Client upload_report

#### Declaration [src]

    gchar*
    fwupd_client_upload_report (
      FwupdClient* self,
      const gchar* url,
      const gchar* payload,
      const gchar* signature,
      FwupdClientUploadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Uploads a report to a remote server. The `fwupd_client_set_user_agent()` function should be called before this method is used.

Available since: | 1.9.20

#### Parameters

`url` | `const gchar*`
| The remote URL.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`payload` | `const gchar*`
| Payload string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`signature` | `const gchar*`
| Signature string.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `FwupdClientUploadFlags`
| Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_NONE`.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A URI (perhaps an empty string), or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.